Configuration Group Schemas - List By Publisher
Gets information of the configuration group schemas under a publisher.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/configurationGroupSchemas?api-version=2023-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
The name of the publisher. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request is successful. The operation returns the resulting configuration group schema resource. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get networkFunctionDefinition groups under publisher resource
Sample request
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HybridNetwork/publishers/testPublisher/configurationGroupSchemas?api-version=2023-09-01
Sample response
{
"value": [
{
"name": "testConfigurationGroupSchema",
"id": "/subscriptions/subid/resourcegroups/testRG/providers/microsoft.hybridnetwork/publishers/testPublisher/configurationGroupSchemas/interconnectgroupsSchema",
"type": "Microsoft.HybridNetwork/publishers/configurationGroupSchemas",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"location": "westUs2",
"properties": {
"provisioningState": "Accepted",
"schemaDefinition": "{\"type\":\"object\",\"properties\":{\"interconnect-groups\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"name\":{\"type\":\"string\"},\"international-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}},\"domestic-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}}}}},\"interconnect-group-assignments\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"ssc\":{\"type\":\"string\"},\"interconnects-interconnects\":{\"type\":\"string\"}}}}},\"required\":[\"interconnect-groups\",\"interconnect-group-assignments\"]}",
"description": "Schema with no secrets"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Configuration |
Configuration group schema resource. |
|
Configuration |
A list of configuration group schema resources. |
|
Configuration |
Configuration group schema properties. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Provisioning |
The current provisioning state. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
version |
The configuration group schema version state. |
ConfigurationGroupSchema
Configuration group schema resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
Configuration group schema properties. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ConfigurationGroupSchemaListResult
A list of configuration group schema resources.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to get the next set of results. |
| value |
A list of configuration group schema. |
ConfigurationGroupSchemaPropertiesFormat
Configuration group schema properties.
| Name | Type | Description |
|---|---|---|
| description |
string |
Description of what schema can contain. |
| provisioningState |
The provisioning state of the Configuration group schema resource. |
|
| schemaDefinition |
string |
Name and value pairs that define the configuration value. It can be a well formed escaped JSON string. |
| versionState |
The configuration group schema version state. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
versionState
The configuration group schema version state.
| Value | Description |
|---|---|
| Unknown | |
| Preview | |
| Active | |
| Deprecated |